Brief FOUC before the search icon is rendered
Closed, ResolvedPublic2 Story Points

Description

This happened when the search submit button was changed to be a search icon.

It is using the <img> tag so the image is rendered a few ms later and meanwhile the button is empty.
When the image is rendered, the button width increases so the dropdown + the input slightly move to the left.

Thanks to @ori for the video:

JGirault created this task.Nov 24 2015, 6:00 AM
JGirault updated the task description. (Show Details)
JGirault raised the priority of this task from to Needs Triage.
JGirault added subscribers: JGirault, ori.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 6:00 AM
Jdrewniak set Security to None.Dec 8 2015, 10:28 PM
Jdrewniak edited a custom field.
Deskana triaged this task as Normal priority.Dec 29 2015, 10:07 PM
Deskana moved this task from Needs triage to On Sprint Board on the Discovery board.
Deskana added a subscriber: Deskana.
debt assigned this task to Jdrewniak.Jan 26 2016, 7:51 PM
debt moved this task from What's Next to In Progress on the Discovery-Portal-Sprint board.
This comment was removed by Jdrewniak.

Change 266677 had a related patch set uploaded (by Jdrewniak):
Brief FOUC before the search icon is rendered

https://gerrit.wikimedia.org/r/266677

Change 266677 merged by jenkins-bot:
Brief FOUC before the search icon is rendered

https://gerrit.wikimedia.org/r/266677

debt closed this task as Resolved.Jan 27 2016, 11:25 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 4 2016, 11:14 PM